class 'coffeeMachine' (Appliance)

coffeeMachine.puddle = nil
coffeeMachine.puddleBaseX = 0
coffeeMachine.puddleBaseY = 10

coffeeMachine.fakeFront = nil
coffeeMachine.frontBaseX = 0
coffeeMachine.puddleBaseY = 0

function coffeeMachine:__init() super()
end

function coffeeMachine:setDirty(dirty)
	if (dirty) then
		if (self.puddle ~= nil) then
			self.puddle:setVisible(true)
			self.puddle:animate("", 0)
		end
	else
	
		if (self.puddle ~= nil) then
			self.puddle:setVisible(false)
		end
	end
end

function coffeeMachine:setupFakes()
	
	self.puddle = createSprite()
	self.puddle:setDefaultSection(player:getCurrentResourceSection())
	self.puddle:setX(self.puddleBaseX)
	self.puddle:setY(self.puddleBaseY)
end